

## Source Insight相关知识点



### 1.常规操作

#### 1.1工程新建/添加

点击上方Project，选择New Project进行项目创建，或选择Open Project进行项目添加。

![image-20250708160507674](./Pictures/image-20250708160507674.png)

#### 1.2文件新建/添加

项目新建后，会弹出窗口提示文件添加，根据想要添加的文件位置进行查找并添加即可。

新建文件可以选择左侧的File，选择New即可添加新文件并进行编写。

![image-20250708160523160](./Pictures/image-20250708160523160.png)

#### 1.3符号表同步

选择上方菜单栏的Project，并选择其中的Synchronize Files进行代码的同步。

选项功能是选择同步本地文件。

<img src="./Pictures/image-20250708160555697.png" alt="image-20250708160555697" style="zoom:50%;" />

#### 1.4视图切换

右侧Panel view窗口内选择想要查看的程序。

<img src="./Pictures/image-20250708160619344.png" alt="image-20250708160619344" style="zoom:50%;" />

选择windows，选择Arrange，选择多视图排版，可以进行视图的切换。

<img src="./../IAR/Pictures/image-20250710161708689.png" alt="image-20250710161708689" style="zoom:50%;" />

高亮选中符号：F8 

替换：Ctrl + h 

查找：Ctrl + f 

全局查找：Ctrl + / 

向上搜索 Ctrl + F3 

向下搜索 Ctrl + F4 

跳转到行：F5 

跳转到定义：Ctrl + 鼠标左键

#### 1.5常用窗口打开或关闭

在VIew菜单进行想要的窗口打开或关闭即可。

##### 

|        窗口         |      名称      |                             作用                             |
| :-----------------: | :------------: | :----------------------------------------------------------: |
| **Relation Window** |  **关系窗口**  |   **函数调用关系**， **变量引用关系**，**继承与实现关系**    |
| **Context Window**  | **上下文窗口** |    **代码结构可视化**，**实时跟踪光标位置**，**快速导航**    |
| **Project Window**  |  **项目窗口**  |     **文件与目录管理**，**符号索引**，**快速搜索与跳转**     |
|   **Window List**   |  **窗口列表**  | **显示所有打开的窗口**，**快速切换窗口**，**窗口分组与排序** |

<img src="./Pictures/image-20250708160639717.png" alt="image-20250708160639717" style="zoom:200%;" />

#### 1.6搜索引用

可以在想要搜索的函数上右键鼠标，选择Look up，或者在软件的右上角R图标进行搜索即可。若要跳转至函数页面，可以Ctrl加鼠标左键即可。

上方选择search也可以进行搜索引用。

<img src="./Pictures/image-20250708160654871.png" alt="image-20250708160654871" style="zoom:50%;" />

Options各个选项作用

| 名称                     | 作用                                                         |
| ------------------------ | ------------------------------------------------------------ |
| case Sensitive           | 区分大小写                                                   |
| whole Words Only         | 确控制搜索范围的选项，确保搜索结果仅包含完整的单词，而非单词的一部分 |
| Skip inactive Code       | 用于处理由条件编译（如 `#ifdef`、`#ifndef`）或其他逻辑控制导致的未激活代码区域 |
| Skip Comments            | 让搜索操作忽略代码中的注释内容                               |
| Search Only Comment      | 仅搜索注释内容                                               |
| Smart Reference Marching | 用于识别和匹配代码中的符号引用（如变量、函数、类型等），而非简单的文本匹配 |

Serach Method（搜索方法）

| 名称               | 作用                                                         |
| ------------------ | ------------------------------------------------------------ |
| simple string      | 一种基本的搜索模式，用于执行直接的文本匹配                   |
| regular Expression | 允许使用特殊字符和元字符来定义复杂的文本匹配规则             |
| Keyword Expression | 是一种介于简单字符串和正则表达式之间的搜索模式，它允许使用预定义的关键字符号来构建更灵活的搜索规则 |
| look up Reference  | 用于快速定位代码中符号（如变量、函数、类型等）的定义和所有引用位置 |

查找的选项功能表

![image-20250715110850248](./Pictures/image-20250715110850248.png)

| 名称                    | 作用                                                         |
| ----------------------- | ------------------------------------------------------------ |
| case Sensitive          | 区分大小写                                                   |
| use regular Exprossions | **Use Regular Expressions**（使用正则表达式）是搜索功能的高级模式，允许通过特殊字符和元字符定义复杂的匹配规则 |
| warp Around             | 循环查找                                                     |
| select when found       | 会高亮查找的文本                                             |
| whole words only        | 启用该选项后，工具只会查找与搜索词完全一致的**完整单词**，而不会匹配包含该词的更长单词 |